/****************************************************************************
 *
 *  3DSHIER.H
 *
 *  (C) Copyright 1997 by Autodesk, Inc.
 *
 *  This program is copyrighted by Autodesk, Inc. and is licensed to you under
 *  the following conditions.  You may not distribute or publish the source
 *  code of this program in any form.  You may incorporate this code in object
 *  form in derivative works provided such derivative works are (i.) are de-
 *  signed and intended to work solely with Autodesk, Inc. products, and (ii.)
 *  contain Autodesk's copyright notice "(C) Copyright 1995 by Autodesk, Inc."
 *
 *  AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.  AUTODESK SPE-
 *  CIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 *  A PARTICULAR USE.  AUTODESK, INC.  DOES NOT WARRANT THAT THE OPERATION OF
 *  THE PROGRAM WILL BE UNINTERRUPTED OR ERROR FREE.
 *
 ***************************************************************************/

#include "3dstype.h"
#include "3dsprim.h"
#include "dbase3ds.h"

static const short3ds kNoId = -1;

/* PUBLIC */


/* END PUBLIC */

void InitNodeList();
void PrintNodeList(FILE *outfile);
void PrintHierarchy(FILE *outfile);

void ReleaseNodeList();
void ParseDb(database3ds *db);

void AssignParentNames(database3ds *db);
void ComputeNodeIds(database3ds *db);

struct _IdNode{
  short3ds Id;
  chunktag3ds tag;
  char3ds *name;
  char3ds *inst;
  short3ds parentId;
  struct _IdNode *next;  
};

typedef struct _IdNode IdNode, *IdNodePtr; 

