/****************************************************************************
 *
 *  DUMPCHNK.H
 *
 *  (C) Copyright 1997 by Autodesk, Inc.
 *
 *  This program is copyrighted by Autodesk, Inc. and is licensed to you under
 *  the following conditions.  You may not distribute or publish the source
 *  code of this program in any form.  You may incorporate this code in object
 *  form in derivative works provided such derivative works are (i.) are de-
 *  signed and intended to work solely with Autodesk, Inc. products, and (ii.)
 *  contain Autodesk's copyright notice "(C) Copyright 1995 by Autodesk, Inc."
 *
 *  AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.  AUTODESK SPE-
 *  CIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 *  A PARTICULAR USE.  AUTODESK, INC.  DOES NOT WARRANT THAT THE OPERATION OF
 *  THE PROGRAM WILL BE UNINTERRUPTED OR ERROR FREE.
 *
 ***************************************************************************/

#ifndef DUMPCHK_3DS_H
#define DUMPCHK_3DS_H

#include "3dstype.h"
#include "3dsprim.h"
#include "chunkinf.h"
#include "3dsftkst.h"
#include "dbase3ds.h"

void DumpChunk3ds(FILE *outfile,  /* file formated text gets output to */
		  chunk3ds *chunk, /* chunk that is being dumped */
		  ushort3ds indentlevel /* level of indentation for the chunk */
		  );
void CheckSumChunk3ds(FILE *outfile, chunk3ds *chunk, ushort3ds indentlevel);

/* Public Prototypes */
void SetDumpLevel3ds(long3ds newlevel);
void DumpDatabase3ds(FILE *outfile, database3ds *db);
/* End Public */

void CheckSumDatabase3ds(FILE *outfile, database3ds *db);

/* Public Consts */
static const long3ds  TerseDump3ds = 0; /* Just the chunk headers */
static const long3ds MediumDump3ds = 1; /* Selected bits of data (usually not array dumps) */
static const long3ds MaximumDump3ds = 2; /* Everything */
/* End Public */

#endif

